﻿.input-rounded-zero {
    /*Nada*/
}

.input-rounded-all {
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;
}

.input-rounded-top-lr {
    -webkit-border-top-left-radius: 10px;
    -webkit-border-top-right-radius: 10px;
    -moz-border-radius-topleft: 10px;
    -moz-border-radius-topright: 10px;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

.input-rounded-bottom-lr {
    -webkit-border-bottom-right-radius: 10px;
    -webkit-border-bottom-left-radius: 10px;
    -moz-border-radius-bottomright: 10px;
    -moz-border-radius-bottomleft: 10px;
    border-bottom-right-radius: 10px;
    border-bottom-left-radius: 10px;
}

.input-rounded-bottom-l {
    -webkit-border-bottom-left-radius: 10px;
    -moz-border-radius-bottomleft: 10px;
    border-bottom-left-radius: 10px;
}

.input-rounded-top-l {
    -webkit-border-top-left-radius: 10px;
    -moz-border-radius-topleft: 10px;
    border-top-left-radius: 10px;
}

.input-rounded-bottom-r {
    -webkit-border-bottom-right-radius: 10px;
    -moz-border-radius-bottomright: 10px;
    border-bottom-right-radius: 10px;
}

.input-rounded-top-r {
    -webkit-border-top-right-radius: 10px;
    -moz-border-radius-topright: 10px;
    border-top-right-radius: 10px;
}

.input-rounded-bb {
    border-bottom: 1px solid #002146;
}

.input-rounded-bb-0 {
    border-bottom: none !important;
}

.input-rounded-bl-0 {
    border-left: none !important;
}

.input-rounded-br-0 {
    border-right: none !important;
}

.phonePrefix {
    height: 45px;
    width: 45px;
    background-color: #f2f2f2;
    color: #c7c7c7;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid;
    right: unset;
    -webkit-border-top-left-radius: 10px;
    -webkit-border-bottom-left-radius: 10px;
    -moz-border-radius-topleft: 10px;
    -moz-border-radius-bottomleft: 10px;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
}

.input-flex-wrap {
    display: flex;
    flex-direction: row;
}

.input-flex-item {
    display: inline-flex;
}

.input-possible-space {
    width: 100%;
    width: -moz-available; /* WebKit-based browsers will ignore this. */
    width: -webkit-fill-available; /* Mozilla-based browsers will ignore this. */
    width: fill-available;
}

.txtarea-possible-space {
    height: 100%;
    height: -moz-available; /* WebKit-based browsers will ignore this. */
    height: -webkit-fill-available; /* Mozilla-based browsers will ignore this. */
    height: fill-available;
}

.float-container {
    padding: 0 8px;
    position: relative;
    height: 45px;
    color: #666;
    font-family: 'Open Sans', Helvetica, sans-serif;
    width: 100%;
    border: 1px solid #5b5b5b;
}

.float-container-txtarea {
    padding: 0 8px;
    position: relative;
    height: 125px !important;
    color: #666;
    font-family: 'Open Sans', Helvetica, sans-serif;
    width: 100%;
    border: 1px solid #5b5b5b;
}

.float-container input {
    border: none;
    margin: 16px 0 10px;
    outline: 0;
    width: 100%;
    height: 60%;
}

.float-container select {
    border: none;
    margin: 14px 0 10px;
    outline: 0;
    width: 100%;
    background-color: transparent !important;
}

.float-container textarea {
    border: none;
    margin: 14px 0 10px;
    outline: 0;
    width: 100%;
    background-color: transparent !important;
}

textarea {
    resize: none;
}



.selWithLabel {
    height: 60% !important;
}

.phoneContainer {
    margin-top: 12px;
}

.float-container label {
    font-size: 14px;
    position: absolute;
    transform-origin: top left;
    transform: translate(0, 10px) scale(1);
    transition: all .1s ease-in-out;
}

.float-container.active label {
    color: #949494;
    transform: translate(0, 2px) scale(.75);
}

.float-phone-container label {
    font-size: 14px;
    position: absolute;
    transform-origin: top left;
    transform: translate(50px, 10px) scale(1);
    transition: all .1s ease-in-out;
    z-index: 99;
}

.float-phone-container.active label {
    color: #949494;
    transform: translate(50px, 2px) scale(.75);
}

.float-container label {
    font-size: 14px;
    position: absolute;
    transform-origin: top left;
    transform: translate(0, 10px) scale(1);
    transition: all .1s ease-in-out;
}

.float-container.active label {
    color: #d2d2d2;
    transform: translate(0, 2px) scale(.75);
}

.btnDesignForm {
    text-transform: uppercase;
    padding: .375rem 5.5rem;
}

.float-container label
{
    pointer-events: none;
}
